Subject: bug#41489: `package-dir-info' fails on a directory with a non-saved file

From: Stefan Kangas <[email-masked]>
Date: Tue, 26 May 2020 10:51:14 +0200

Paul Pogonyshev <[email-masked]> writes:

>> Do we really want to ignore *any* error from insert-file-contents here?
>
> Well, maybe that should be limited to `file-missing' instead (what actually
> happens when it tries to read a lock file).

Sounds good.

>> Should we really run package-buffer-info if inserting the file fails?
>> Won't that reach (error "Package lacks a file header") and signal an
>> error anyways, just a different and more cryptic one?
>
> `package-buffer-info' is already inside a different `ignore-errors', so it
> will signal an error, but that error will be ignored and the file skipped.

Thanks for clarifying.  I didn't study this code recently.

> I'm not attached to any particular way this bug is fixed. Please adjust it
> yourself, the patch is only an example of how it could be done. This will
> be faster than if we try to negotiate the best way and recreate the patch.

I don't mean to discourage you from working on this, on the contrary.
We appreciate that you're working on a fix.

Best regards,
Stefan Kangas